@import '../../../styles/global/var';
@import '../../../styles/ui/components/animation';

@include horizontal-shimmer-animation-mixin(shimmerAnimation, -500px, 500px);

.label-modal {
    background-color: $white;
    padding: 0 24px 8px;

    &__container {
        margin-top: 8px;
        &._error {
            padding: 30px 0;
            text-align: center;
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
        }
        &-info {
            color: $black;
            margin-bottom: 14px;
        }
    }
    &__wrapper {
        position: relative;
    }
    &__title {
        max-width: 100%;
        position: sticky;
        top: 0;
        padding-top: 16px;
        padding-bottom: 8px;
        background: $white;
        padding-right: 40px;
        cursor: pointer;
        &:hover &-link{
            text-decoration: none;
            color: $brand-light-hover;
        }
        &-link {
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
            color: $turquoise69a;
            &:focus {
                color: $turquoise69a;
            }
        }
        &-icon.material-icons {
            line-height: 24px;
            font-size: 16px;
            display: inline-block;
            vertical-align: bottom;
        }
    }
    &__button {
        &_close {
            position: absolute;
            right: -4px;
            top: 16px;
            border: none;
            background: transparent;
            padding: 0;
            color: $gray57c;
        }
    }
    &__item {
        &-title {
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            color: $gray8be;
            margin-bottom: 4px;
        }
        &._priority {
            display: flex;
            .label-modal__item-title {
                margin-bottom: 0;
            }
        }
        &-label {
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            padding: 0 8px;
            color: $white;
            border-radius: 222px;
            margin-left: 8px;
            &.critical {
                background-color: $brand-danger-new;
            }
            &.high {
                background-color: $orange-new;
            }
            &.medium {
                background-color: $blue-light;
            }
            &.low {
                background-color: $green-new;
            }
            &.custom {
                background-color: $gray8be;
            }
        }
        &-precondition {
            display: inline;
            &._short {
                display: flex;
                .label-modal__item-text {
                    text-overflow: ellipsis;
                    white-space: nowrap;
                }
            }
        }
        &-text {
            overflow: hidden;
            white-space: normal;
            text-overflow: unset;
            display: inline;
            color: $black;
            font-size: 12px;
            line-height: 16px;
        }
        &-button {
            width: 100%;
            max-width: fit-content;
            padding: 0;
            border: none;
            background: transparent;
            color: $turquoise69a;
            font-size: 12px;
            line-height: 16px;
            font-weight: 500;
            &:hover {
                color: $brand-light-hover;
            }
        }
        &-result {
            font-size: 12px;
            line-height: 16px;
            color: $black;
        }
        &._precondition, &._expectedResult {
            margin-top: 16px;
        }
        &._steps {
            margin-top: 18px;
        }
    }
    .shimmer {
        &__content {
            padding-top: 24px;
        }
        &__item {
            background: $gray3e5;
            background-image: linear-gradient(to right, $gray3e5 0%, #edeef1 20%, $gray3e5 40%, $gray3e5 100%);
            background-repeat: no-repeat;
            background-size: 250px 220px;
            position: relative;
            animation-duration: 2s;
            animation-fill-mode: forwards;
            animation-iteration-count: infinite;
            animation-name: shimmerAnimation;
            animation-timing-function: linear;
            height: 8px;
            margin: 0;

            &-wrapper {
                margin-bottom: 8px;

                &._row {
                    display: flex;
                    align-items: center;
                }
                &._header {
                    padding-right: 40px;
                    margin-bottom: 24px;
                }
                &._section {
                    margin-bottom: 16px;
                }
            }
            &._dark {
                background: $gray8be;
                background-image: linear-gradient(to right, $gray8be 0%, #edeef1 20%, $gray8be 40%, $gray8be 100%);
                background-repeat: no-repeat;
            }
            &._tall {
                height: 16px;
            }
            &._short {
                width: 62px;
                margin-right: 8px;
            }
        }
    }

    .steps {
        font-weight: 400;
        font-size: 12px;
        line-height: 16px;
        &__content {
            color: $black;
        }
        &__table {
            &-header {
                font-weight: 400;
                font-size: 12px;
                line-height: 16px;
                color: $gray8be;
            }
            &-row {
                display: flex;
                justify-content: space-between;
            }
            &-col {
                &._number {
                    width: 32px;
                    color: $gray8be;
                    margin-right: 4px;
                }
                &._expected, &._content {
                    width: 206px;
                    margin-right: 16px;
                    word-break: break-all;
                }
                &._expanded {
                    margin-right: 0;
                }
            }
            &-body {
                .steps__table-row {
                    padding: 8px 0;
                    border-bottom: 1px solid $gray3e5;
                }
            }
        }
    }
}
